## org.hibernate.type
Class YesNoType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Boolean>
              org.hibernate.type.YesNoType

All Implemented Interfaces:
  Serializable, BasicType, DiscriminatorType<Boolean>, IdentifierType<Boolean>, LiteralType<Boolean>, PrimitiveType<Boolean>, SingleColumnType<Boolean>, StringRepresentableType<Boolean>, Type, XmlRepresentableType<Boolean>

    public class YesNoType

extends AbstractSingleColumnStandardBasicType<Boolean>
implements PrimitiveType<Boolean>, DiscriminatorType<Boolean>

A type that maps between `CHAR(1)` and `Boolean` (using 'Y' and 'N')

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static YesNoType` `INSTANCE`

Constructor Summary
`YesNoType()`

Method Summary
`Serializable` `getDefaultValue()` Get this type's default value.
`String` `getName()` Returns the abbreviated name of the type.
`Class` `getPrimitiveClass()` Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.
`String` `objectToSQLString(Boolean value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.
`Boolean` `stringToObject(String xml)` Convert the value from the mapping file to a Java object.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.PrimitiveType
`toString`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Field Detail

### INSTANCE

    public static final YesNoType INSTANCE

Constructor Detail

### YesNoType

    public YesNoType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### getPrimitiveClass

    public Class getPrimitiveClass()

  Description copied from interface: `PrimitiveType`
  Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.

  Specified by:
    `getPrimitiveClass` in interface `PrimitiveType<Boolean>`
  Returns:
    The primitive Java type.

### stringToObject

    public Boolean stringToObject(String xml)
                           throws Exception

  Description copied from interface: `IdentifierType`
  Convert the value from the mapping file to a Java object.

  Specified by:
    `stringToObject` in interface `IdentifierType<Boolean>`
  Parameters:
    `xml` - the value of `discriminator-value` or `unsaved-value` attribute
  Returns:
    The converted value of the string representation.
  Throws:
    `Exception` - Indicates a problem converting from the string

### getDefaultValue

    public Serializable getDefaultValue()

  Description copied from interface: `PrimitiveType`
  Get this type's default value.

  Specified by:
    `getDefaultValue` in interface `PrimitiveType<Boolean>`
  Returns:
    The default value.

### objectToSQLString

    public String objectToSQLString(Boolean value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<Boolean>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.